
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: deviceProductFunction.addInput) {
        return request('/api/deviceproductfunction/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: deviceProductFunction.delInput) {
        return request(`/api/deviceproductfunction/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: deviceProductFunction.updateInput) {
        return request('/api/deviceproductfunction/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/deviceproductfunction/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: deviceProductFunction.queryParms) {
        return request('/api/deviceproductfunction/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: deviceProductFunction.queryPage) {
        return request('/api/deviceproductfunction/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

